Subject: RE: Flowspec > Tspec

From: Ron Cohen <[email-masked]>
Date: Wed, 12 Jan 2000 23:32:16 -0800

John,

Thanks for your reply. It is an important clarification. 

Thanks
Ron

> >Section 2.2:
> >...
> >"3.  (Re, Resv_Te) and Path_Te are passed to traffic control. Traffic
> >control will compute the effective flowspec as the "minimum" of Path_Te and
> >Resv_Te, in a service-dependent manner."
> >
> >The first section seems to suggest that you can ask to reserve twice the
> >rate specified in the TSPEC, while the second section seems to suggest that
> >it is not possible, as the actual reservation will be limited by the TSPEC.
> >
> >What is the right interpretation?
> 
> 
> Ron,
> 
> The first. This is because the TSPEC's in all sender PATH messages 
> for a session are summed before being used to bound the maximum 
> reservation as described in the text quoted in your note. The effect 
> is to bound the reservation to the minimum of 1) the sum of the 
> senders' offered traffic, or 2) the requested reservation level.
> 
> This is done because at some point in every path the RESV message 
> will have propagated upstream far enough to reach, say, a point where 
> there is only one remaining upstream sender. If that sender is 
> connected to the net by a link that is adequate for the sender, but 
> not larger, than a request for twice or three or N times the sender's 
> rate might fail completely. On the other hand, a request for the 
> sender's rate can be honored, and does not change the semantics of SE 
> or WF because there are no other senders sharing that particular 
> link. So the reservation request is adjusted downwards accordingly.
> 
> John
>